Issue 40730 - Impress export to HTML includes hidden slides
Summary: Impress export to HTML includes hidden slides
Status: CLOSED FIXED
Alias: None
Product: Impress
Classification: Application
Component: save-export (show other issues)
Version: OOo 1.1.4
Hardware: All All
: P3 Trivial with 1 vote (vote)
Target Milestone: OOo 3.1
Assignee: wolframgarten
QA Contact: issues@graphics
URL:
Keywords: oooqa
Depends on:
Blocks:
 
Reported: 2005-01-15 16:22 UTC by jvromans
Modified: 2009-01-19 13:36 UTC (History)
2 users (show)

See Also:
Issue Type: DEFECT
Latest Confirmation in: ---
Developer Difficulty: ---


Attachments

Note You need to log in before you can comment on or make changes to this issue.
Description jvromans 2005-01-15 16:22:56 UTC
When exporting a presentation that contains hidden slides to HTML, the hidden
slides are included. This is regardless the Options setting "Print hidden pages".

I think hidden slides should not be exported, or require a separate check box on
the export dialog.
Comment 1 wolframgarten 2005-01-17 08:05:30 UTC
Reproducible.
Comment 2 wolframgarten 2005-01-17 08:06:14 UTC
Reassigned to Christian.
Comment 3 wolframgarten 2005-01-17 08:07:05 UTC
Wrong owner, sorry.
Comment 4 wolframgarten 2005-01-17 08:07:48 UTC
.
Comment 5 zingale 2005-03-25 00:18:56 UTC
this bug is still present in OOo 1.9.79.  A simple check box in the export to
HTML dialog to toggle whether we want hidden slides exported would suffice. 
Presently, there is no way to even manually exclude slides
Comment 6 jvromans 2005-09-29 12:11:48 UTC
The problem still exists in 2.0 RC.
Comment 7 jvromans 2006-03-11 11:32:50 UTC
The problem still exists in 2.0.2.
Comment 8 ace_dent 2007-07-20 20:28:00 UTC
Confirmed with OOo Dev 2.3 (680m221). This could be a significant feature, since
User expectation is certainly that Hidden slides are not output and may lead to
accidental disclosure of information. I don't believe that an extra tick box is
necessary to define the behaviour; hidden slides should simply be excluded.

Setting target to 2.X, to keep Issue on the radar. Cheers.
Comment 9 clippka 2007-09-12 16:25:27 UTC
Changing target to 3.0.
Comment 10 clippka 2008-05-23 13:35:55 UTC
I will ad a checkbox to the html export wizard which will be defaulted to not
export hidden slides.
Comment 11 clippka 2008-12-08 11:34:35 UTC
fixed in cws impressfontsize
Comment 12 clippka 2008-12-09 09:38:34 UTC
verified implementation in cws, back to qa
Comment 13 wolframgarten 2008-12-11 07:56:35 UTC
Verified in CWS.
Comment 14 wolframgarten 2009-01-19 13:36:20 UTC
Tested in m39, closed.